Bug 220933 - net-p2p/transmission updates and new -qt5 port.
Summary: net-p2p/transmission updates and new -qt5 port.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-23 04:34 UTC by Alexandre C. Guimarães
Modified: 2017-08-14 19:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (crees)


Attachments
patch: updating and new port (6.95 KB, patch)
2017-07-23 04:34 UTC, Alexandre C. Guimarães
no flags Details | Diff
[patch] add new -qt5 port, and some updates. (7.64 KB, patch)
2017-07-28 15:47 UTC, Alexandre C. Guimarães
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2017-07-23 04:34:29 UTC
Created attachment 184612 [details]
patch: updating and new port

Hi,

I did some updates to net-p2p/transmission:

1 - transmission: meta port version bump to reflect the actual ports versions;
2 - transmission-gtk: add cairo to USE_GNOME due to "stage-qa" warnings;
3 - transmission-qt4: add CONFLICTS_INSTALL due to new -qt5 port, add cairo to USE_QT4 and some LIB_DEPENDS+ due to "stage-qa" warnings, minor changes from QT4 to Qt4 due to usage convention.
4 - transmission-qt5: new port.

I do not know how to properly attach a patch in here, however it is in the github:

https://github.com/freebsd/freebsd-ports/pull/65

These are my first work with ports. Please, be gentle.

Thanks!
Comment 1 Alexandre C. Guimarães freebsd_committer 2017-07-23 04:45:39 UTC
Correction:

3 - transmission-qt4: add CONFLICTS_INSTALL due to new -qt5 port, add ***corelib*** to USE_QT4 and some LIB_DEPENDS+ due to "stage-qa" warnings, minor changes from QT4 to Qt4 due to usage convention.
Comment 2 Alexandre C. Guimarães freebsd_committer 2017-07-28 15:47:02 UTC
Created attachment 184804 [details]
[patch] add new -qt5 port, and some updates.

Fix some mistakes of the previous one, including updating net-p2p/Makefile adding in the transmission-qt5 new port.
Comment 3 Chris Rees freebsd_committer 2017-08-14 19:21:29 UTC
Committed, with minor changes.  Thanks!
Comment 4 commit-hook freebsd_committer 2017-08-14 19:22:02 UTC
A commit references this bug:

Author: crees
Date: Mon Aug 14 19:21:05 UTC 2017
New revision: 447965
URL: https://svnweb.freebsd.org/changeset/ports/447965

Log:
  Add -qt5 port.

  While here, correct version of transmission meta-port

  PR:		ports/220933
  Submitted by:	ldbm@privacychain.ch

Changes:
  head/net-p2p/Makefile
  head/net-p2p/transmission/Makefile
  head/net-p2p/transmission-gtk/Makefile
  head/net-p2p/transmission-qt4/Makefile
  head/net-p2p/transmission-qt4/pkg-descr
  head/net-p2p/transmission-qt5/
  head/net-p2p/transmission-qt5/Makefile
  head/net-p2p/transmission-qt5/pkg-descr
  head/net-p2p/transmission-qt5/pkg-plist